#!/bin/sh
#######################################################################
#Script Name: dh_remote_backup
#Version: 1.2
#Description: Script to backup server list to Local Backup Server.
#Last Modify Date: 01062021
#Author:Brent Dacus
#Email:brent[at]thedacus[dot]net
#######################################################################
#                   		Variables                                     #
#######################################################################
wom=$((($(date +%-d) - 1) / 7 + 1))
rsync_user="root"
server_list="209.126.81.64 66.94.111.166 207.244.226.26"
#local backup location
lbackuploc=/backup
#remote backup location
rbackuploc="/sys_backup /admin_backups"
#######################################################################
#                   		Main                                          #
#######################################################################
runbackup() {
  for dir in $rbackuploc; do
    mkdir -p "$lbackuploc"/"$rhostname"/"$wom"
    rsync -av --progress -e 'ssh -p 14' "$rsync_user"@"$rserver":"$dir" "$lbackuploc"/"$rhostname"/"$wom"
  done
}

for rserver in $server_list; do
  rhostname="$(host "$rserver" | cut -f 5 -d ' ' | cut -f 1 -d ".")"
  echo "$rserver" "is" "$rhostname"
  runbackup
done
